# Interface GmfLayerWMS

interface GmfLayerWMS {
childLayers: GmfLayerChildLayer[];
dimensions: {};
dimensionsFilters: {};
editable: boolean;
id: number;
layers: string;
maxResolutionHint: number;
metadata: GmfMetaData;
minResolutionHint: number;
name: string;
ogcServer: string;
style: string;
time: TimeProperty;
type: string;
}

- Defined in src/themes.js:118

#####
Index

### Properties

childLayers
dimensions
dimensionsFilters
editable
id
layers
maxResolutionHint
metadata
minResolutionHint
name
ogcServer
style
time
type

## Properties

### childLayers

childLayers: GmfLayerChildLayer[]

- Defined in src/themes.js:127

### dimensions

dimensions: {}

(GmfLayer)

#### Type declaration

- Defined in src/themes.js:122

### dimensionsFilters

dimensionsFilters: {}

(GmfLayer)

#### Type declaration

- Defined in src/themes.js:123

### editable

editable: boolean

(GmfLayer)

- Defined in src/themes.js:124

### id

id: number

(GmfBaseNode)

- Defined in src/themes.js:119

### layers

layers: string

The comma separated list of WMS layers or groups.

- Defined in src/themes.js:128

### maxResolutionHint

maxResolutionHint: number

The max resolution where the layer is visible.

- Defined in src/themes.js:129

### metadata

metadata: GmfMetaData

(GmfBaseNode)

- Defined in src/themes.js:120

### minResolutionHint

minResolutionHint: number

The min resolution where the layer is visible.

- Defined in src/themes.js:130

### name

name: string

(GmfBaseNode)

- Defined in src/themes.js:121

### ogcServer

ogcServer: string

- Defined in src/themes.js:131

### style

style: string

(GmfLayer)

- Defined in src/themes.js:125

### time

time: TimeProperty

The time information if the layer directly manage it, see also `{GmfGroup.time}`.

- Defined in src/themes.js:132

### type

type: string

(GmfLayer)

- Defined in src/themes.js:126